package nl.kallestruik.dtweaks.tweaks.craftingtweaks

import nl.kallestruik.dtweaks.tweaks.ITweak
import org.bukkit.Bukkit
import org.bukkit.Material
import org.bukkit.NamespacedKey
import org.bukkit.Tag
import org.bukkit.inventory.ItemStack
import org.bukkit.inventory.RecipeChoice
import org.bukkit.inventory.ShapelessRecipe
import org.bukkit.plugin.java.JavaPlugin

class WoolToString(
    private val plugin: JavaPlugin
): ITweak {
    private var recipeKey = NamespacedKey(plugin, "string")

    override fun getIdentifier(): String = "WoolToString"
    override fun getCategories(): List<String> = listOf("crafting", "survival")

    override fun onEnable() {
        val stringRecipe = ShapelessRecipe(recipeKey, ItemStack(Material.STRING, 4))
        stringRecipe.addIngredient(RecipeChoice.MaterialChoice(Tag.WOOL))

        plugin.server.addRecipe(stringRecipe)
    }

    override fun onDisable() {
        plugin.server.removeRecipe(recipeKey)
    }
}